Missing KDE Extra Repository (Signature verification for Repository kde-extra failed)

Hi people!
It seems my Opensuse miss the KDE-Extra repository. How should i activate them or add them? Thank you in advance.

Hm, I have no problem here on 13.2 with KDE:Extra.

Can you post your repo list please?

zypper lr -d

Try to run “sudo zypper ref” (and accept the key if necessary), does this help?

I did that with:

Yast –> Software Repositories

Click “Add”. Select “Community Repositories”. Then choose from the list provided.

Here it is zypper lr -d

#  | Alias                     | Nome                               | Abilitato | Controllo GPG | Aggiornamento | Priorità | Tipo   | URI                                                                 | Servizio---+---------------------------+------------------------------------+-----------+---------------+---------------+----------+--------+---------------------------------------------------------------------+---------
 1 | KDE:Extra                 | KDE:Extra                          | Sì        | ( p) Sì       | Sì            |   99     | NONE   | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_12.1/ |         
 2 | kde-extra                 | kde-extra                          | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_13.2/ |         
 3 | openSUSE-13.2-0           | openSUSE-13.2-0                    | Sì        | ( p) Sì       | No            |   99     | yast2  | cd:///?devices=/dev/disk/by-id/ata-MATSHITAUJ-850D_HA73_012849      |         
 4 | repo-debug                | openSUSE-13.2-Debug                | Sì        | (r ) Sì       | Sì            |   99     | yast2  | http://download.opensuse.org/debug/distribution/13.2/repo/oss/      |         
 5 | repo-debug-update         | openSUSE-13.2-Update-Debug         | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/debug/update/13.2/                     |         
 6 | repo-debug-update-non-oss | openSUSE-13.2-Update-Debug-Non-Oss | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/debug/update/13.2-non-oss/             |         
 7 | repo-non-oss              | openSUSE-13.2-Non-Oss              | Sì        | ( p) Sì       | Sì            |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/non-oss/        |         
 8 | repo-oss                  | openSUSE-13.2-Oss                  | Sì        | ( p) Sì       | Sì            |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/oss/            |         
 9 | repo-source               | openSUSE-13.2-Source               | Sì        | (r ) Sì       | Sì            |   99     | yast2  | http://download.opensuse.org/source/distribution/13.2/repo/oss/     |         
10 | repo-update               | openSUSE-13.2-Update               | Sì        | (r ) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/update/13.2/                           |         
11 | repo-update-non-oss       | openSUSE-13.2-Update-Non-Oss       | Sì        | ( p) Sì       | Sì            |   99     | rpm-md | http://download.opensuse.org/update/13.2-non-oss/ 

With sudo zypper ref

Recupero dei meta-dati del repository 'KDE:Extra' ...........................................................[errore]Il repository 'KDE:Extra' non è valido.
[KDE:Extra|http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_12.1/] Valid metadata not found at specified URL
Verificare se gli URI definiti per questo repository puntano a un repository valido.
Esclusione del repository 'KDE:Extra' a causa dell'errore precedente.
Recupero dei meta-dati del repository 'kde-extra' ----------------------------------------------------------------|]


Ricevuta una nuova chiave di firma del pacchetto o del repository:


  Repository:                      kde-extra                                   
  Nome della chiave:               KDE OBS Project <KDE@build.opensuse.org>    
  Impronta digitale della chiave:  4E8E6DE2 961F3083 EAC50086 27C07017 6F88BB2F
  Chiave creata il:                dom 31 ago 2014 16:06:11 CEST               
  La chiave scade il:              mar 08 nov 2016 15:06:11 CET                
  Nome rpm:                        gpg-pubkey-6f88bb2f-54032bd3                




Si vuole rifiutare la chiave, fidarsi temporaneamente, o fidarsi definitivamente? [r/t/d/? mostra tutte le opzioni] (r): d
Recupero dei meta-dati del repository 'kde-extra' ............................................................[fatto]
Costruzione della cache del repository 'kde-extra' ...........................................................[fatto]
Il repository 'openSUSE-13.2-0' è aggiornato.                                                                        
Il repository 'openSUSE-13.2-Debug' è aggiornato.                                                                    
Il repository 'openSUSE-13.2-Update-Debug' è aggiornato.                                                             
Il repository 'openSUSE-13.2-Update-Debug-Non-Oss' è aggiornato.                                                     
Il repository 'openSUSE-13.2-Non-Oss' è aggiornato.                                                                  
Il repository 'openSUSE-13.2-Oss' è aggiornato.                                                                      
Il repository 'openSUSE-13.2-Source' è aggiornato.                                                                   
Il repository 'openSUSE-13.2-Update' è aggiornato.                                                                   
Il repository 'openSUSE-13.2-Update-Non-Oss' è aggiornato.                                                           
Alcuni repository non sono stati aggiornati a causa di un errore.

Translated, it says KDE Extra is invalid. I try to update then, accepting the key, but it still says that some repositories are not updated due to an error.

Now i’m gonna try with what suggested by nrickert

Edit: I added it as said by nrickert and i think it should work now (?). There is some “crash test” i can do in order to verify that?

You have the extra twice from two different versions of openSUSE. :open_mouth: Remove the first one

How should i do?

sudo zypper rr 1

Or use YaST->Software Repositories.

That repo is for openSUSE 12.1, and doesn’t exist any more (12.1 is unsupported since over two years already).
Hence the error message.

Thank you, man!